# vim: set ft=spec: -*- rpm-spec -*-

%mingw_tool

%define pkgname binutils

Name: %cross_arch-%pkgname
Version: 2.18.50
Release: alt2

Summary: GNU Binary Utility Development Utilities
License: GPL
Group: Development/Other
Url: http://sources.redhat.com/%pkgname/

Packager: Evgeny Sinelnikov <sin@altlinux.ru>

Source: ftp://ftp.kernel.org/pub/linux/devel/%pkgname/%pkgname-%version.tar
Patch: binutils-2.18.50-iconv.patch

Conflicts: mingw32-gcc < 3.3.3-alt1

Obsoletes: mingw32-binutils
Provides: mingw32-binutils = %version-%release

BuildRequires(pre): i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Tue Mar 02 2004 (-bi)
BuildRequires: flex gettext-tools

%description
Binutils is a collection of binary utilities, including:
+ addr2line: converting addresses to file and line;
+ ar: creating modifying and extracting from archives;
+ nm: listing symbols from object files;
+ objcopy: copying and translating object files;
+ objdump: displaying information from object files;
+ ranlib: generating an index for the contents of an archive;
+ size: listing the section sizes of an object or archive file;
+ strings: listing printable strings from files;
+ strip: discarding symbols.

%prep
%setup -q -n %pkgname-%version
%patch -p2

%build
# Don't libtoolize unless we have the same version of libtool binutils uses.
%undefine __libtoolize
%configure \
	--disable-werror \
	--disable-nls \
	--with-included-gettext
%make_build

%install
%__mkdir_p %buildroot{%_archbindir,%_archlibdir,%_archincludedir}
%makeinstall

%__rm -rf %buildroot%_libdir/libiberty.a
%__rm -rf %buildroot%_datadir

%files
%_bindir/*
%_archbindir/*
%_archlibdir/ldscripts

%changelog
* Mon Feb 02 2009 Evgeny Sinelnikov <sin@altlinux.ru> 2.18.50-alt2
- Fixed build with iconv Etersoft#1906

* Tue Dec 02 2008 Evgeny Sinelnikov <sin@altlinux.ru> 2.18.50-alt1
- Rebuild for Sisyphus

* Thu Jul 17 2008 Evgeny Sinelnikov <sin@altlinux.ru> 2.18.50-alt0.tp20080109.1
- Build with included gettext

* Wed Apr 09 2008 Evgeny Sinelnikov <sin@altlinux.ru> 2.18.50-alt0.tp20080109
- Update to last Technology Preview

* Sat Dec 02 2006 Sir Raorn <raorn@altlinux.ru> 2.17.50.0.7-alt2
- Fixed .res file handling on x86_64 (closes: #9686)
- Added Packager tag

* Fri Dec 01 2006 Sir Raorn <raorn@altlinux.ru> 2.17.50.0.7-alt1
- Updated to 2.17.50.0.7

* Sat Mar 11 2006 Sir Raorn <raorn@altlinux.ru> 2.16.91.0.6-alt1
- Updated to 2.16.91.0.6

* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 2.15.90.0.3-alt3
- Some hackarounds, versioned builddeps

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 2.15.90.0.3-alt2
- Rebuilt with i386-mingw32msvc-devel

* Mon May 24 2004 Sir Raorn <raorn@altlinux.ru> 2.15.90.0.3-alt1
- [2.15.90.0.3] (-alt2)
- Dropped unneeded patches

* Wed Mar 31 2004 Sir Raorn <raorn@altlinux.ru> 2.14.90.0.8-alt1.1
- Removed deps on %%cross_arch-runtime
- Added %%_archprefix/{,bin,lib,include} dirs

* Tue Mar 02 2004 Sir Raorn <raorn@altlinux.ru> 2.14.90.0.8-alt1
- Renamed to %%cross_arch-binutils
- Synced with binutils-2.14.90.0.8-alt1

